Package: groovy.util

## [Java] Class ObservableIterator<E>

- groovy.util.ObservableSet.ObservableIterator

- All Implemented Interfaces and Traits:
    Iterator

      protected class ObservableSet.ObservableIterator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableSet.ObservableIterator (Iterator<E> iterDelegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Iterator<E>` | `getDelegate()`
    `` | `boolean` | `hasNext()`
    `` | `E` | `next()`
    `` | `void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ObservableSet.ObservableIterator(Iterator<E> iterDelegate)

  - ### Method Detail

    - #### public Iterator<E> getDelegate()

    - #### public boolean hasNext()

    - #### public E next()

    - #### public void remove()